#alertErrorFactarucaionVenta {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;
    transition: all 0.3s ease;
    padding: 0.3rem;
}

/* 🔥 al hacer hover */
#alertErrorFactarucaionVenta:hover {
    white-space: normal;
    overflow: visible;
}

/* diseño de la tabla */
.table-bordered.w-100 thead, .table-bordered thead.text-center {
    background-color: var(--color-verde);
    color: #fff;
}

.dataTables_wrapper .row .col-sm-12 .scroll-inner {
    overflow-x: auto;
}

table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control:before,
table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control:before {
    top: 46%;
}

table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control:before,
table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control:before {
    background-color: var(--color-verde) !important;
}

table.dataTable.dtr-column>tbody>tr>td.dtr-control:before,
table.dataTable.dtr-column>tbody>tr>th.dtr-control:before,
table.dataTable.dtr-column>tbody>tr>td.control:before,
table.dataTable.dtr-column>tbody>tr>th.control:before {
    background-color: var(--color-verde) !important;
    line-height: .8em !important;
}

table.table-bordered.dataTable thead tr th {
    border-bottom: none;
    border-top: none;
}

table.table-bordered.dataTable tfoot tr th {
    border-bottom: none;
}


.dataTables_wrapper div.dataTables_info {
    padding-top: 0;
}

table.dataTable>thead .sorting:after,
table.dataTable>thead .sorting_asc:after,
table.dataTable>thead .sorting_asc_disabled:after,
table.dataTable>thead .sorting_desc:after,
table.dataTable>thead .sorting_desc_disabled:after {
    right: 0.3em;
}

.dataTables_paginate .pagination .disabled {
    cursor: not-allowed;
}

.page-item.previous:focus {
    border: 1px solid var(--color-verde) !important;
}

.dataTable td,
.dataTable th {
    padding-left: .4rem;
}

.dark-mode .dataTables_paginate .pagination .page-item .page-link {
    background-color: var(--color-background-dark);
}

.dark-mode .dataTables_paginate .pagination .page-item:not(.active) .page-link:hover {
    background-color: rgba(255, 255, 255, 0.15)
}

.dark-mode .dataTables_paginate .pagination .page-item.disabled .page-link {
    background: none !important;
}

.page-item.active .page-link {
    background-color: var(--color-verde) !important;
    color: #fff !important;
}

.page-link {
    text-decoration: none !important;
    color: #000 !important;
}

.dark-mode .dataTables_filter .form-control {
    background-color: var(--color-background-dark) !important;
}

.dark-mode .page-link {
    color: #ffffff !important;
}

div.dataTables_wrapper div.dataTables_info {
    padding-top: 0 !important;
}